<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" "http://java.sun.com/dtd/ejb-jar_2_0.dtd">

   <ejb-jar id="EJBJar_1028677749468">
      <description>Utility EJBs</description>
      <display-name>Util</display-name>
      <enterprise-beans>
         <entity id="ContainerManagedEntity_1028677960061">
            <description>Sequence Entity bean</description>
            <display-name>SequenceEnt</display-name>
            <ejb-name>SequenceEnt</ejb-name>
            <local-home>org.spec.jappserver.util.sequenceent.ejb.SequenceEntHomeLocal</local-home>
            <local>org.spec.jappserver.util.sequenceent.ejb.SequenceEntLocal</local>
            <ejb-class>org.spec.jappserver.util.sequenceent.ejb.SequenceCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.String</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>SequenceEnt</abstract-schema-name>
            <cmp-field id="CMPAttribute_1028677983375">
               <field-name>id</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028677985688">
               <field-name>nextNumber</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028677988302">
               <field-name>blockSize</field-name>
            </cmp-field>
            <primkey-field>id</primkey-field>
            <env-entry id="EnvEntry_1">
               <description>The debug level of the bean - higher
		value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <query id="Query_1">
               <query-method id="QueryMethod_1">
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM SequenceEnt AS a</ejb-ql>
            </query>
         </entity>
         <session id="Session_1028677962715">
            <description>Sequence Session Bean</description>
            <display-name>SequenceSes</display-name>
            <ejb-name>SequenceSes</ejb-name>
            <home>org.spec.jappserver.util.sequenceses.ejb.SequenceSesHome</home>
            <remote>org.spec.jappserver.util.sequenceses.ejb.SequenceSes</remote>
            <ejb-class>org.spec.jappserver.util.sequenceses.ejb.SequenceSesEJB</ejb-class>
            <session-type>Stateless</session-type>
            <transaction-type>Container</transaction-type>
            <env-entry id="EnvEntry_2">
               <description>The debug level of the bean - higher
		value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref id="EJBLocalRef_1028687303947">
               <description>Sequence Entity Bean</description>
               <ejb-ref-name>ejb/SequenceEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.util.sequenceent.ejb.SequenceEntHomeLocal</local-home>
               <local>org.spec.jappserver.util.sequenceent.ejb.SequenceEntLocal</local>
               <ejb-link>SequenceEnt</ejb-link>
            </ejb-local-ref>
         </session>
      </enterprise-beans>
      <assembly-descriptor id="AssemblyDescriptor_ID">
         <method-permission id="MethodPermission_1034210760766">
            <description>Generated unchecked method permission</description>
            <unchecked></unchecked>
            <method id="MethodElement_1034210760766">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>isIdentical</method-name>
               <method-params>
                  <method-param>javax.ejb.EJBLocalObject</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760767">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getBlockSize</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760768">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getNextNumber</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760769">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getPrimaryKey</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760770">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getId</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760771">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>getEJBLocalHome</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760772">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>nextSequenceBlock</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760773">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>remove</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760774">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceEnt</ejb-name>
               <method-intf>Local</method-intf>
               <method-name>setBlockSize</method-name>
               <method-params>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760782">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findAll</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760783">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>create</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
                  <method-param>int</method-param>
                  <method-param>int</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760784">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>findByPrimaryKey</method-name>
               <method-params>
                  <method-param>java.lang.String</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760785">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceEnt</ejb-name>
               <method-intf>LocalHome</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760786">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getEJBMetaData</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760787">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getHomeHandle</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760788">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>create</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210760789">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210760790">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>SequenceSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>javax.ejb.Handle</method-param>
               </method-params>
            </method>
         </method-permission>
         <container-transaction id="MethodTransaction_1">
            <method id="MethodElement_1">
               <ejb-name>SequenceEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>RequiresNew</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_2">
            <method id="MethodElement_2">
               <ejb-name>SequenceSes</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>NotSupported</trans-attribute>
         </container-transaction>
      </assembly-descriptor>
   </ejb-jar>
